Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### byte()

Examples

    char c = 'E';
    b = byte(c);
    println(c + " : " + b);  // Prints "E : 69"

    int i = 130;
    b = byte(i);
    println(i + " : " + b);  // Prints "130 : -126"

Description | Converts a primitive datatype or array to its byte representation. A byte can only be a whole number between -128 and 127, therefore when a number outside this range is converted, its value wraps to the corresponding byte representation.

Syntax

    byte(val)

Parameters

val | int, char, int[], char[]

Returns | byte
Usage | Web & Application
Related | byte int()

Updated on November 22, 2008 08:39:25pm PST